DGST(1SSL)

NOM
dgst, md5, md4, md2, sha1, sha, mdc2, ripemd160 - Condensés de messages

SYNOPSIS
openssl dgst [-md5|-md4|-md2|-sha1|-sha|-mdc2|-ripemd160|-dss1] [-c] [-d] [-hex] [-binary] [-hmac param] [-non-fips-allow] [-out nom_fichier] [-sign nom_fichier] [-keyform param] [-passin param] [-verify nom_fichier] [-prverify nom_fichier] [-signature nom_fichier] [-hmac clef] [fichier...]

[md5|md4|md2|sha1|sha|mdc2|ripemd160] [-c] [-d] [fichier...]

DESCRIPTION
Les fonctions de condensés génèrent les condensés des messages d'un ou plusieurs fichiers fournis sous forme hexadécimale. Elles peuvent également servir pour la signature numérique et la vérification.

OPTIONS

-c  Afficher le condensé par groupe de deux chiffres séparés par des deux-points, uniquement appliquable si le format de sortie hex est employé.

-d  Afficher les informations de débogage BIO.

-hex
    Afficher le condensé en hexadécimal brut. C'est le cas par défaut pour les condensés « normaux » par opposition aux signatures numériques.

-binary
    Afficher le condensé sous forme binaire.

-hmac param
    Définir la clef HMAC à param.

-non-fips-allow
    Permettre l'utilisation de condensé FIPS.

-out nom_fichier
    Nom du fichier de sortie. Par défaut, la sortie standard est utilisée.

-sign nom_fichier
    Signer numériquement le condensé en utilisant la clef privée de nom_fichier.

-keyform param
    Indiquer le format de clef avec lequel signer le condensé. Seuls les formats PEM et ENGINE sont pris en charge par la commande dgst.

-engine id
    Utiliser le moteur id pour les opérations (y compris le stockage de la clef privée). Ce moteur n'est pas utilisé en source pour les algorithmes de condensé, à moins que cela soit aussi indiqué dans le fichier de configuration.

-sigopt nm:v
    Passer des options à l'algorithme de signature pendant les opérations de signature ou de vérification. Les noms et valeurs de ces options sont spécifiques à l'algorithme.

-passin param
    La source du mot de passe de la clef privée. Pour plus d'informations sur le format de param, consultez la section PARAMÈTRES DE PHRASE SECRÈTE d'openssl(1).

-verify nom_fichier
    Vérifier la signature en utilisant la clef publique de nom_fichier. Le résultat est soit « Verification OK » soit « Verification Failure ».

-prverify nom_fichier
    Vérifier la signature en utilisant la clef privée de nom_fichier.

-signature nom_fichier
    La signature à vérifier.

-hmac clef
    Créer un MAC haché en utilisant clef.

-mac alg
    Créer un MAC (code d'authentification de message). L'algorithme MAC le plus répandu est HMAC (code d'authentification d'une empreinte cryptographique de message avec clef), mais d'autres algorithmes MAC non à base de hachage existent, comme l'algorithme gost-mac du moteur ccgost. Les clefs MAC et d'autres options devraient être définies par le paramètre -macopt.

-macopt nm:v
    Passer des options à l'algorithme MAC, indiqué par la clef -mac. Les options suivantes sont permises à la fois par HMAC et gost-mac :

    key:chaîne
        Indique la clef MAC sous forme de chaîne alphanumérique (à n'utiliser que si la clef contient exclusivement des caractères imprimables). La longueur de chaîne doit être conforme à toutes les restrictions de l'algorithme MAC, par exemple exactement 32 caractères pour gost-mac.

    hexkey:chaîne
        Indique la clef MAC sous forme hexadécimale (deux chiffres hexadécimaux par octet). La longueur de clef doit être conforme à toutes les restrictions de l'algorithme MAC, par exemple exactement 32 caractères pour gost-mac.

-rand fichier(s)
    Un ou plusieurs fichiers contenant des données aléatoires utilisées pour initialiser le générateur de nombres pseudoaléatoires, ou une socket EGD (consultez RAND_egd(3)). Plusieurs fichiers peuvent être indiqués en utilisant le séparateur du système d'exploitation : « ; » pour Windows, « , » pour OpenVMS et « : » pour tous les autres.

fichier...
    Le ou les fichiers à traiter. Par défaut, l'entrée standard est utilisée.

NOTES
Le condensé à préférer pour toutes les nouvelles applications est SHA1. D'autres condensés restent cependant largement utilisés.

Pour signer ou vérifier des données avec l'algorithme DSA, le condensé dss1 doit être utilisé.

Une source de nombres aléatoires est nécessaire pour certains algorithmes de signature, en particulier DSA.

Les options de signature et de vérification ne devraient être utilisées que si un seul fichier est signé ou vérifié.

TRADUCTION
Cette page de manuel a été traduite par arne en 2002 et est maintenue par la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.